Bug 72948 - rpm Building problems on RH 6.2
rpm Building problems on RH 6.2
Product: Red Hat Linux
Classification: Retired
Component: openssh (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-08-29 08:45 EDT by Zoltan Kota
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-02-14 10:20:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Zoltan Kota 2002-08-29 08:45:16 EDT
Description of Problem:

I tried to rebuild openssh-3.1p1-6 from the source rpm of RH 7.x. According to
the spec
file, there is an option to compile it on RH 6.x. (Anyway, with the previous
update it worked). 
The building process failes at 

auth2-pam.c: In function `input_userauth_info_response_pam':
auth2-pam.c:146: `__func__' undeclared (first use in this function)
auth2-pam.c:146: (Each undeclared identifier is reported only once
auth2-pam.c:146: for each function it appears in.)
make: *** [auth2-pam.o] Error 1

As I see the patch openssh-adv.iss.patch patches this file and introduce this
"__func__" stuff. 
I checked also the portable openssh source (3.4p1) from openssh.com. With rpm
-bc ... it was ok with auth2-pam.c. Maybe some stuff for this __func__  thing is
missing from the old source.
(e.g. during configure of 3.4p1 there is some checking for __func__
functionality of $cc.)

Version-Release number of selected component (if applicable):

How Reproducible:

Steps to Reproduce:
1. %define build6x 1 in spec file 
2.  rpm -bc openssh.spec

Actual Results:
make: *** [auth2-pam.o] Error 1

Expected Results:

Additional Information:

Note You need to log in before you can comment on or make changes to this bug.